/****************************************************************************************************

		IMFDockableManager.h
		Copyright: (c) 2001 Eovia Corp. All rights reserved.

		Author:	Arnaud
		Date:	5/5/2005

****************************************************************************************************/

#ifndef __IMFDockableManager__
#define __IMFDockableManager__

#if CP_PRAGMA_ONCE
#pragma once
#endif


#include "MCCompObj.h"


MCDEFINE_GUID_H(IID_IMFDockableManager);


struct IMFDockableManager : public IMCUnknown
{
	virtual void		MCCOMAPI DockPartInto			(	IMFDockAreaPart*	inDockArea, 
															const TMCPoint&		inScreenAnchor,
															const TMCPoint&		inDockLocalAnchor) = 0;

	virtual void		MCCOMAPI UnDockPart				(	const TMCPoint*		inScreenAnchor= NULL,
															TMCPoint*			ioDockLocalAnchor= NULL) = 0;

	///the position is interpreted by the dock area
	virtual void		MCCOMAPI SetPositionInfo		(	const TMCPoint&		inPositionInfo) = 0;
};



#endif